## google-android-ndk-installer 12.b

=== for-postinst/Makefile ===
PKG_NAME:=android-ndk
PKG_VERSION:=12b

PKG_SOURCE:=${PKG_NAME}-r${PKG_VERSION}-linux-x86_64.zip
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-${PKG_NAME}-installer
UNPACK_DIR=$(DL_DIR)/${PKG_NAME}-r${PKG_VERSION}
INSTALL_DIR=/usr/lib/${PKG_NAME}
DOC_DIR=/usr/share/doc/google-${PKG_NAME}

all: $(UNPACK_DIR)/source.properties

install: all
	install -d -m0755 $(DOC_DIR)
	install -m0644 $(UNPACK_DIR)/source.properties $(DOC_DIR)/
	find ${DOC_DIR} | sort >> /var/lib/dpkg/info/google-${PKG_NAME}-installer.list
	@if [ ! -d $(INSTALL_DIR) ]; then \
		mv $(UNPACK_DIR) $(INSTALL_DIR) ; \
		find ${INSTALL_DIR} | sort >> /var/lib/dpkg/info/google-${PKG_NAME}-installer.list ;\
	else\
		echo "\033[0;31m$(INSTALL_DIR) already exists.\033[0m" ; \
		exit 1 ; \
	fi

$(UNPACK_DIR)/source.properties: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE):
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
	sha1sum -c $(PKG_SOURCE).sha1

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-ndk-installer (12.b) unstable; urgency=medium

  * Update to latest version: 12b
  * Add Czech PO translation file
  * Add Dutch PO translation file

 -- Mouaad Aallam <Mouaad@Aallam.com>  Sun, 14 Aug 2016 22:34:47 +0000

google-android-ndk-installer (12) unstable; urgency=medium

  * Initial release (Closes: #829098)

 -- Mouaad Aallam <Mouaad@Aallam.com>  Tue, 28 Jun 2016 17:27:33 +0000

=== debian/control ===
Source: google-android-ndk-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://developer.android.com/ndk/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-ndk-installer.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-ndk-installer.git

Package: google-android-ndk-installer
Architecture: amd64
Depends: wget,
         make | build-essential | dpkg-dev,
         unzip,
         ca-certificates,
         debconf,
         po-debconf,
         ${misc:Depends}
Description: Google Android Native Development Kit (NDK) Installer
 This package will download the Google Android NDK package and create a Debian
 package.
 . 
 The Android NDK is a toolset that lets you implement parts of your app using
 native-code languages such as C and C++. For certain types of apps, this can
 help you reuse existing code libraries written in those languages.
 .
 WARNING: Installing this Debian package causes android-ndk-r12-linux-x86_64.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

## google-android-ndk-installer 13b

=== debian/changelog ===
google-android-ndk-installer (13b) unstable; urgency=medium

  * New upstream release

 -- Mouaad Aallam <Mouaad@Aallam.com>  Thu, 22 Dec 2016 20:46:00 +0000

google-android-ndk-installer (12.b+1) unstable; urgency=medium

  * Add French PO translation file

 -- Mouaad Aallam <Mouaad@Aallam.com>  Mon, 29 Aug 2016 16:26:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,12 @@
 Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.8
 Homepage: https://developer.android.com/ndk/index.html
-Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-ndk-installer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-ndk-installer.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-installers.git
+Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-installers.git
 
 Package: google-android-ndk-installer
 Architecture: amd64
-Depends: wget,
-         make | build-essential | dpkg-dev,
-         unzip,
-         ca-certificates,
-         debconf,
-         po-debconf,
+Depends: ${googleAndroidInstallers:Depends},
          ${misc:Depends}
 Description: Google Android Native Development Kit (NDK) Installer
  This package will download the Google Android NDK package and create a Debian

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -Tdebian/substvars

## google-android-ndk-installer 21d

=== debian/changelog ===
google-android-ndk-installer (21d) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * Team upload.
  * New binary release: r21d
  * install location now follows official: /usr/lib/android-sdk/ndk-bundle
  * include autopkgtest smoke test
  * describe download/install size in description (Closes: #834421)

  [ Roger Shimizu ]
  * Update debian/.gitlab-ci.yml to disable CI on tags

  [ Manas Kashyap ]
  * standard version update (no changes needed)
  * debhelper-compat bumped to version 13

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 03 Aug 2020 22:19:46 +0200

google-android-ndk-installer (21b+1) unstable; urgency=medium

  * Team upload.
  * d/control: Fix Vcs-* URL
  * Add debian/.gitlab-ci.yml

 -- Roger Shimizu <rosh@debian.org>  Sun, 10 May 2020 14:51:08 +0900

google-android-ndk-installer (21b) unstable; urgency=medium

  * Team upload.
  * New upstream release 21b (Closes: #880854).
  * for-postinst/*.sha1: Update SHA-1 for new zip.
  * debian/po: Add translation file.
    - Swedish: sv (Closes: #851861).
    - Danish:  da (Closes: #856779).
    - Russian: ru (Closes: #883391).

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 May 2020 21:15:04 +0900

## google-android-ndk-installer 21d%2Br1

=== debian/control ===
Source: google-android-ndk-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://developer.android.com/ndk/index.html
Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-ndk-installer.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-ndk-installer

Package: google-android-ndk-installer
Architecture: amd64
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google Android Native Development Kit (NDK) Installer
 This package will download the Google Android NDK package, create a
 Debian package, then install it.  The binary package that is
 downloaded is approximately 1GB, and it unpacks about 3GB of files.
 .
 The Android NDK is a toolset that lets you implement parts of your app using
 native-code languages such as C and C++. For certain types of apps, this can
 help you reuse existing code libraries written in those languages.
 .
 WARNING: Installing this package causes android-ndk-r21d-linux-x86_64.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

## google-android-ndk-installer 21d+r1

=== for-postinst/Makefile ===
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-${PKG_NAME}-installer
INSTALL_DIR=/usr/lib/${INS_DIR}
DOC_DIR=/usr/share/doc/google-android-${PKG_NAME}

all: $(UNPACK_DIR)/source.properties

install: all
	$(eval UNPACK_DIR=$(DL_DIR)/$(shell unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | head -1))
	install -d -m0755 $(DOC_DIR)
	@if [ -f $(UNPACK_DIR)source.properties ]; then \
		install -m0644 $(UNPACK_DIR)source.properties $(DOC_DIR)/ ; \
        fi
	@if [ -f $(UNPACK_DIR)NOTICE.txt ]; then \
		gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz ; \
        fi
	find ${DOC_DIR} | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list
	chmod -R a+rX $(UNPACK_DIR)
	chmod -R go-w $(UNPACK_DIR)
	install -d -m0755 $(INSTALL_DIR)
	@if [ ! -d $(INSTALL_DIR)$(TRG_DIR) ]; then \
		mv $(UNPACK_DIR) $(INSTALL_DIR)${TRG_DIR}  ;\
		ln -s /usr/lib/android-sdk/ndk-bundle /usr/lib/android-ndk ;\
		echo /usr/lib/android-ndk >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
		find ${INSTALL_DIR}${TRG_DIR}  | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
	else\
		echo "\033[0;31m$(INSTALL_DIR)${TRG_DIR} already exists.\033[0m" ; \
		exit 1 ; \
	fi

$(UNPACK_DIR)/source.properties: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE):
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
	sha1sum -c $(PKG_SOURCE).sha1

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-ndk-installer (21d+r1) unstable; urgency=medium

  * Team upload.
  * Add debian/watch
  * Remove unused lintian-overrides.
  * Add lintian-overrides: debian-watch-file-in-native-package
    Because we need to trace upstream version.

 -- Roger Shimizu <rosh@debian.org>  Tue, 29 Sep 2020 22:47:28 +0900

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -Tdebian/substvars

# to update:
#  find * -type f|xargs sed -Ei 's,r[12][0-9][a-f]?,r21d,g'
#  get SHA1 from https://developer.android.com/ndk/downloads/

=== debian/tests/control ===
Test-Command: `/usr/lib/android-sdk/ndk-bundle/ndk-which readelf` -d /usr/lib/android-sdk/ndk-bundle/platforms/android-29/arch-x86/usr/lib/libdl.so

=== debian/watch ===
# Only intent to detect new version, but not download any tarball
version=4
opts=pagemangle=s:/\+/refs/:/+refs/:g \
https://android.googlesource.com/platform/ndk/+refs \
  \/tags\/ndk-r(\d+\w*|\d+\.\d+\w*)
